package com.huigou.topsun.sap.purchaseOrder.application;

import com.huigou.topsun.sap.purchaseOrder.domain.SapPurchaseOrderItem;
import com.huigou.topsun.sap.purchaseOrder.domain.query.SapPurchaseOrderItemQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/01/09/19:19
 * @Description:
 */
public interface SapPurchaseOrderItemApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/sapPurchaseOrder/sapPurchaseOrderItem.xml";
    void saveSapPurchaseOrderItem(SapPurchaseOrderItem sapPurchaseOrderItem);

    void saveSapPurchaseOrderItems(String sapPurchaseOrderId, List<SapPurchaseOrderItem> sapPurchaseOrderItems);

    List<SapPurchaseOrderItem> getPurchaseOrderItems(String purchaseOrderId);

    Map<String, Object> querySapPurchaseOrderItems(SapPurchaseOrderItemQueryRequest queryRequest);

    void deletePurchaseOrderItems(List<SapPurchaseOrderItem> purchaseOrderItems);
}
